#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "GameplayTagContainer.h"
#include "SetModifierValueAction.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API USetModifierValueAction : public UCompetenceAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _gameplayModifierType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _modifierValueStrategy;

public:
	USetModifierValueAction();
};

FORCEINLINE uint32 GetTypeHash(const USetModifierValueAction) { return 0; }
